﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLC
{
    public enum NodeLabels
    {
        None,
        RootNode,

        X0,
        X1,
        X2,
        X3,
        X4,
        X5,
        X6,
        X7,
        X8,
        X9,
        X10,
        X11,
        X12,
        X13,
        X14,
        X15,
        X16,
        X17,
        X18,
        X19,
        X20,
        X21,
        X22,
        X23,
        X24,
        X25,
        X26,
        X27,
        X28,
        X29,
        X30,
        X31,
        X32,
        X33,
        X34,
        X35,
        X36,
        X37,
        X38,
        X39,
        X40,
        X41,
        X42,
        X43,
        X44,
        X45,
        X46,
        X47,
        X48,
        X49,
        X50,
        X51,
        X52,
        X53,
        X54,
        X55,
        X56,
        X57,
        X58,
        X59,
        X60,
        X61,
        X62,
        X63,

        M0,
        M1,
        M2,
        M3,
        M4,
        M5,
        M6,
        M7,
        M8,
        M9,
        M10,
        M11,
        M12,
        M13,
        M14,
        M15,
        M16,
        M17,
        M18,
        M19,
        M20,
        M21,
        M22,
        M23,
        M24,
        M25,
        M26,
        M27,
        M28,
        M29,
        M30,
        M31,
        M32,
        M33,
        M34,
        M35,
        M36,
        M37,
        M38,
        M39,
        M40,
        M41,
        M42,
        M43,
        M44,
        M45,
        M46,
        M47,
        M48,
        M49,
        M50,
        M51,
        M52,
        M53,
        M54,
        M55,
        M56,
        M57,
        M58,
        M59,
        M60,
        M61,
        M62,
        M63,

        Y0,
        Y1,
        Y2,
        Y3,
        Y4,
        Y5,
        Y6,
        Y7,
        Y8,
        Y9,
        Y10,
        Y11,
        Y12,
        Y13,
        Y14,
        Y15,
        Y16,
        Y17,
        Y18,
        Y19,
        Y20,
        Y21,
        Y22,
        Y23,
        Y24,
        Y25,
        Y26,
        Y27,
        Y28,
        Y29,
        Y30,
        Y31,
        Y32,
        Y33,
        Y34,
        Y35,
        Y36,
        Y37,
        Y38,
        Y39,
        Y40,
        Y41,
        Y42,
        Y43,
        Y44,
        Y45,
        Y46,
        Y47,
        Y48,
        Y49,
        Y50,
        Y51,
        Y52,
        Y53,
        Y54,
        Y55,
        Y56,
        Y57,
        Y58,
        Y59,
        Y60,
        Y61,
        Y62,
        Y63,

        T0,
        T1,
        T2,
        T3,
        T4,
        T5,
        T6,
        T7,
        T8,
        T9,
        T10,
        T11,
        T12,
        T13,
        T14,
        T15,
        T16,
        T17,
        T18,
        T19,
        T20,
        T21,
        T22,
        T23,
        T24,
        T25,
        T26,
        T27,
        T28,
        T29,
        T30,
        T31,
        T32,
        T33,
        T34,
        T35,
        T36,
        T37,
        T38,
        T39,
        T40,
        T41,
        T42,
        T43,
        T44,
        T45,
        T46,
        T47,
        T48,
        T49,
        T50,
        T51,
        T52,
        T53,
        T54,
        T55,
        T56,
        T57,
        T58,
        T59,
        T60,
        T61,
        T62,
        T63
    }
}
